package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.OmsshipInstructionsCapacityMapper;
import com.steerinfo.dil.model.OmsshipInstructionsCapacity;
import com.steerinfo.dil.service.IOmsshipInstructionsCapacityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * OmsshipInstructionsCapacity服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-20 03:06
 * 类描述
 * 修订历史：
 * 日期：2021-08-20
 * 作者：generator
 * 参考：
 * 描述：OmsshipInstructionsCapacity服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "omsshipInstructionsCapacityService")
public class OmsshipInstructionsCapacityServiceImpl implements IOmsshipInstructionsCapacityService {

    @Autowired
    OmsshipInstructionsCapacityMapper omsshipInstructionsCapacityMapper;


    @Override
    public List<Map<String, Object>> getOrderId() {
        return omsshipInstructionsCapacityMapper.selectOrderId();
    }

    /**
     * 获得最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        return omsshipInstructionsCapacityMapper.selectMaxId();
    }

    /**
     * 新增
     * @param omsshipInstructionsCapacity
     * @return
     */
    @Override
    public int insert(OmsshipInstructionsCapacity omsshipInstructionsCapacity) {
        omsshipInstructionsCapacity.setInstructionsCapacityId(omsshipInstructionsCapacityMapper.selectInstructionCapacityId());
        // 设置常规字段
        omsshipInstructionsCapacity.setDeleted(new BigDecimal(0));
        omsshipInstructionsCapacity.setInsertTime(new Date());
        omsshipInstructionsCapacity.setInsertUsername("admin");
        omsshipInstructionsCapacity.setInsertUpdateRemark("无");
        omsshipInstructionsCapacity.setUpdateTime(new Date());
        omsshipInstructionsCapacity.setUpdateUsername("admin");
        return omsshipInstructionsCapacityMapper.insert(omsshipInstructionsCapacity);
    }

    /**
     * 逻辑删除
     * @param instructionsCapacityId
     * @return
     */
    @Override
    public int deleteByPrimaryKey(BigDecimal instructionsCapacityId) {
        OmsshipInstructionsCapacity omsshipInstructionsCapacity = selectByPrimaryKey(instructionsCapacityId);
        omsshipInstructionsCapacity.setDeleted(new BigDecimal(1));
        return omsshipInstructionsCapacityMapper.updateByPrimaryKeySelective(omsshipInstructionsCapacity);
    }

    /**
     * 查询
     * @param instructionsCapacityId
     * @return
     */
    @Override
    public OmsshipInstructionsCapacity selectByPrimaryKey(BigDecimal instructionsCapacityId) {
        return omsshipInstructionsCapacityMapper.selectByPrimaryKey(instructionsCapacityId);
    }

    /**
     * 修改
     * @param omsshipInstructionsCapacity
     * @return
     */
    @Override
    public int updateByPrimaryKeySelective(OmsshipInstructionsCapacity omsshipInstructionsCapacity) {
        omsshipInstructionsCapacity.setUpdateTime(new Date());
        return omsshipInstructionsCapacityMapper.updateByPrimaryKeySelective(omsshipInstructionsCapacity);
    }

    /**
     * 查询一条装船指令下的所有船信息
     * @param mapVal
     * @return
     */
    @Override
    public List<Map<String, Object>> selectCapacities(Map<String, Object> mapVal) {
        return omsshipInstructionsCapacityMapper.selectCapacities(mapVal);
    }

    @Override
    public List<Map<String, Object>> getCapacityId() {
        return omsshipInstructionsCapacityMapper.selectCapacityId();
    }

    /**
     * 查询表单信息
     * @param instructionsCapacityId
     * @return
     */
    @Override
    public List<Map<String, Object>> selectInstructionsCapacity(BigDecimal instructionsCapacityId) {
        return omsshipInstructionsCapacityMapper.selectInstructionsCapacity(instructionsCapacityId);
    }
}
